/*---------------------------------------------------------------------\
|                                                                      |
|                     _     _   _   _     __     _                     |
|                    | |   | | | \_/ |   /  \   | |                    |
|                    | |   | | | |_| |  / /\ \  | |                    |
|                    | |__ | | | | | | / ____ \ | |__                  |
|                    |____||_| |_| |_|/ /    \ \|____|                 |
|                                                                      |
|                             ca-mgm library                           |
|                                                                      |
|                                         (C) SUSE Linux Products GmbH |
\----------------------------------------------------------------------/

File:       Commands.hpp

Author:     Michael Calmer
Maintainer: Michael Calmer
/-*/

/**
* @file   Commands.hpp
* @brief  This file is private for the ca-mgm library.
*         It defines some commands with full path
*/
#ifndef   CA_MGM_COMMANDS_HPP
#define   CA_MGM_COMMANDS_HPP

#include <ca-mgm/config.h>
#include <ca-mgm/String.hpp>

namespace CA_MGM_NAMESPACE {

const std::string OPENSSL_COMMAND  = "/usr/bin/openssl";
const std::string C_REHASH_COMMAND = "/usr/bin/c_rehash";
const std::string UPDATE_CADIR_COMMAND = "/usr/sbin/update-ca-certificates";
const std::string CP_COMMAND = "/usr/bin/cp";
const std::string RM_COMMAND = "/usr/bin/rm";
}

#endif /* CA_MGM_COMMANDS_HPP */

